# QState Class Reference

### [com.trolltech.qt.core package]

Inherits QAbstractState.

### Constructor

- void QState(QState parent)
- void QState(ChildMode childMode, QState parent)

### Constructor Properties

- prototype: The QState prototype object
- ExclusiveStates
- ParallelStates
- ChildMode( value )

### Prototype Object Properties

The QState prototype object inherits properties from the QAbstractState prototype object and also has the following properties.

- QAbstractTransition addTransition(QAbstractState target)
- void assignProperty(QObject object, char name, Object value)
- void removeTransition(QAbstractTransition transition)
- List transitions()

### Instance Properties

QState objects inherit properties from the QState prototype object and also have the following properties.

- initialState
- errorState
- childMode